{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "label": "qiime2 rarefaction visualization",
            "doc": "Alpha rarefaction plotting from https://docs.qiime2.org/2018.4/tutorials/moving-pictures/",
            "inputs": [
                {
                    "type": "int",
                    "id": "#main/max_depth"
                },
                {
                    "type": "File",
                    "id": "#main/rooted_tree"
                },
                {
                    "type": "File",
                    "id": "#main/sample_metadata"
                },
                {
                    "type": "File",
                    "id": "#main/table"
                }
            ],
            "steps": [
                {
                    "run": "#diversity-alpha-rarefaction.cwl",
                    "in": [
                        {
                            "source": "#main/max_depth",
                            "id": "#main/alpha_rarefaction/max_depth"
                        },
                        {
                            "source": "#main/rooted_tree",
                            "id": "#main/alpha_rarefaction/rooted_tree"
                        },
                        {
                            "source": "#main/sample_metadata",
                            "id": "#main/alpha_rarefaction/sample_metadata"
                        },
                        {
                            "source": "#main/table",
                            "id": "#main/alpha_rarefaction/table"
                        }
                    ],
                    "out": [
                        "#main/alpha_rarefaction/alpha_rarefaction"
                    ],
                    "id": "#main/alpha_rarefaction"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/alpha_rarefaction/alpha_rarefaction",
                    "id": "#main/alpha_rarefaction_file"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "qiime2: Generate interactive alpha rarefaction curves by computing rarefactions between a depth range.",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "qiime2/core:2018.4",
                    "id": "#qiime2-docker-hint.yml"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "label": "resulting visualization filename",
                    "default": "alpha-rarefaction.qzv",
                    "inputBinding": {
                        "prefix": "--o-visualization"
                    },
                    "id": "#diversity-alpha-rarefaction.cwl/alpha_rarefaction_filename"
                },
                {
                    "type": "int",
                    "label": "The maximum rarefaction depth",
                    "inputBinding": {
                        "prefix": "--p-max-depth"
                    },
                    "id": "#diversity-alpha-rarefaction.cwl/max_depth"
                },
                {
                    "type": "File",
                    "label": "phylogeny for phylogenetic metrics",
                    "inputBinding": {
                        "prefix": "--i-phylogeny"
                    },
                    "id": "#diversity-alpha-rarefaction.cwl/rooted_tree"
                },
                {
                    "type": "File",
                    "label": "Metadata file or artifact viewable as metadata",
                    "inputBinding": {
                        "prefix": "--m-metadata-file"
                    },
                    "id": "#diversity-alpha-rarefaction.cwl/sample_metadata"
                },
                {
                    "type": "File",
                    "label": "Feature table to compute rarefaction curves from",
                    "inputBinding": {
                        "prefix": "--i-table"
                    },
                    "id": "#diversity-alpha-rarefaction.cwl/table"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.alpha_rarefaction_filename)"
                    },
                    "id": "#diversity-alpha-rarefaction.cwl/alpha_rarefaction"
                }
            ],
            "baseCommand": [
                "qiime",
                "diversity",
                "alpha-rarefaction"
            ],
            "id": "#diversity-alpha-rarefaction.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
